#!/bin/bash
export TIMEFORMAT=$'\nreal\t%3R\nuser\t%3U\nsys\t%3S'
export TESTSPATH='tests'
export DMCSPATH='.'
$DMCSPATH/dmcsd --context=1 --port=5001 --kb=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01-1.lp --br=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01-1.br --topology=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=2 --port=5002 --kb=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01-2.lp --br=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01-2.br --topology=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=3 --port=5003 --kb=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01-3.lp --br=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01-3.br --topology=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=4 --port=5004 --kb=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01-4.lp --br=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01-4.br --topology=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=5 --port=5005 --kb=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01-5.lp --br=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01-5.br --topology=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=6 --port=5006 --kb=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01-6.lp --br=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01-6.br --topology=$TESTSPATH/tree_ctx_06_alph_2_ifc_1_br_2_idx_01.opt >/dev/null 2>&1 &
/usr/bin/time --portability -o tree_ctx_06_alph_2_ifc_1_br_2_idx_01-dmcsopt-time.log $DMCSPATH/dmcsc --hostname=localhost --port=5001 --system-size=6 > tree_ctx_06_alph_2_ifc_1_br_2_idx_01-dmcsopt.log 2> tree_ctx_06_alph_2_ifc_1_br_2_idx_01-dmcsopt-err.log
killall dmcsd
